/*
* Delivered as a contribution to Web Services Interoperability
* Organization (WS-I) under Section (2) of the WS-I IPR Agreement.
*
* Copyright (c) 2003 Sun Microsystems, Inc.
* All rights reserved. 
*/

package com.sun.wsi.scm.manufacturer;

import com.sun.wsi.scm.manufacturer.cb.StartHeaderType;
import com.sun.wsi.scm.configuration.ConfigurationFaultType;
import com.sun.wsi.scm.configuration.ConfigurationEndpointRole;

public class HeaderValidator {
	public static void validateStartHeader(StartHeaderType startHeader, ConfigurationEndpointRole role) throws ConfigurationFaultType {
		ConfigurationEndpointRole[] configRole = { role };
		if (startHeader.getConversationID().equals("")) {
			throw new ConfigurationFaultType(false, "Invalid conversationID", configRole);
		}

		if (startHeader.getCallbackLocation().equals(""))
			throw new ConfigurationFaultType(false, "Invalid callback location", configRole);
	}
}

