/*
* Delivered as a contribution to Web Services Interoperability
* Organization (WS-I) under Section (2) of the WS-I IPR Agreement.
*
* Copyright (c) 2003 Sun Microsystems, Inc.
* All rights reserved. 
*/

package com.sun.wsi.scm.warehouse;

public abstract class StringConverter {
	public static String getWarehouseProductNumbersAsString(com.sun.wsi.scm.warehouse.ItemList itemList) {
		String desc = "";

		com.sun.wsi.scm.warehouse.Item[] items = itemList.getItem();
		for (int i=0; i<items.length; i++) {
			desc += items[i].getProductNumber();
			if (i != (items.length-1))
				desc += ", ";
			}

		return desc;
	}

	public static String getManufacturerProductNumbersAsString(com.sun.wsi.scm.manufacturer.sn.ItemList itemList) {
		String desc = "";

		com.sun.wsi.scm.manufacturer.sn.Item[] items = itemList.getItem();
		for (int i=0; i<items.length; i++) {
			desc += items[i].getID();
			if (i != (items.length-1))
				desc += ", ";
			}

		return desc;
	}
}


